> ## Documentation Index
> Fetch the complete documentation index at: https://docs.togai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of named licenses updates

> This API let’s you to fetch a list of named licenses updates with multiple query parameters



## OpenAPI

````yaml get /named_license_updates
openapi: 3.0.3
info:
  version: '1.0'
  title: Togai Apis
  contact:
    email: engg@togai.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  description: APIs for Togai App
servers:
  - description: Api endpoint
    url: https://api.togai.com/
  - description: Sandbox api endpoint
    url: https://sandbox-api.togai.com/
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: Customer level calls
  - name: Accounts
    description: Account level calls
  - name: Event Schemas
    description: Event Schema level calls
  - name: Usage Meters
    description: Usage Meter level calls
  - name: Price Plans
    description: (DEPRECATED) Price Plan level calls
  - name: PricePlanV2
    description: Price Plan V2 level calls
  - name: Schedules
    description: Account Schedule level calls
  - name: Pricing Rules
    description: Pricing Rules level calls
  - name: Settings
    description: Settings
  - name: Price Experimentation
    description: Price Experimentation apis
  - name: InvoiceGroups
    description: Invoice Group level calls
  - name: Organization
    description: Organization level calls
  - name: FileStorage
    description: File Storage level calls
  - name: Aliases
    description: Alias level calls
  - name: Reports
    description: Report level calls
  - name: ReportTemplates
    description: Report Template level calls
  - name: Customer Portal
    description: Portal level calls
  - name: Alerts
    description: Alert level calls
  - name: Event Management
    description: APIs for getting events ingested in Togai
    externalDocs:
      description: docs
      url: https://togai.com/docs/billing/events
  - name: Metrics
    description: APIs for getting Togai metrics
    externalDocs:
      description: docs
      url: https://togai.com/docs/metrics
  - name: Licenses
    description: APIs for getting or updating license records in Togai
  - name: Entitlements
    description: APIs related to entitlements
  - name: Invoices
    description: Invoices API
  - name: Credits
    description: Credits API
  - name: Wallet
    description: Wallet API
  - name: InvoiceTemplates
    description: InvoiceTemplates API
  - name: InvoiceSequence
    description: InvoiceSequence API
  - name: Payments
    description: Payments API
  - name: Authentication
    description: Authentication API
externalDocs:
  description: Find out more about Togai
  url: https://docs.togai.com/docs
paths:
  /named_license_updates:
    get:
      tags:
        - Licenses
      summary: Get a list of named licenses updates
      description: >-
        This API let’s you to fetch a list of named licenses updates with
        multiple query parameters
      operationId: getNamedLicenseUpdates
      responses:
        '200':
          description: Success response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NamedLicenseUpdatesPaginatedResponse'
              examples:
                NamedLicenseUpdatesPaginatedResponse:
                  $ref: '#/components/examples/NamedLicenseUpdatesPaginatedResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  schemas:
    NamedLicenseUpdatesPaginatedResponse:
      description: Named License updates paginated response
      type: object
      additionalProperties: false
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/NamedLicenseUpdate'
        nextToken:
          type: string
          maxLength: 500
          example: >-
            eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEyMywgInNvcnRPcmRlciI6ICJhc2MifQ==
    NamedLicenseUpdate:
      description: Named License update response
      type: object
      additionalProperties: false
      required:
        - id
        - licenseId
        - accountId
        - name
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          maxLength: 50
          example: named_license_entry.20rvWRx.0ZwPG
        licenseId:
          type: string
          maxLength: 50
          example: addon.fdjsl.313
        accountId:
          type: string
          maxLength: 50
          example: '123'
        name:
          type: string
          maxLength: 50
          example: user1
        effectiveFrom:
          type: string
          format: date-time
          example: '2021-03-04T14:25:10Z'
        effectiveUntil:
          type: string
          format: date-time
          example: '2021-03-04T14:25:10Z'
        createdAt:
          type: string
          format: date-time
          example: '2021-03-04T14:25:10Z'
        updatedAt:
          type: string
          format: date-time
          example: '2021-03-04T14:25:10Z'
    ErrorResponse:
      type: object
      additionalProperties: false
      required:
        - message
      properties:
        message:
          type: string
          description: error description
          maxLength: 500
  examples:
    NamedLicenseUpdatesPaginatedResponse:
      value:
        data:
          - id: named_license_entry.20rvWRx.0ZwPG
            licenseId: addon.fdjsl.313
            accountId: '123'
            name: user1
            effectiveFrom: '2021-03-04T14:25:10Z'
            effectiveUntil: '2021-03-04T14:25:10Z'
            createdAt: '2021-03-04T14:25:10Z'
            updatedAt: '2021-03-04T14:25:10Z'
  responses:
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            ErrorResponse:
              summary: Error message
              value:
                message: <Reason message>
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer <credential>

````